import { isNoValue as o } from "../utils.mjs";
const r = {
  get(n) {
    let a, t;
    const e = n.component?.exposed;
    return e && (a = e.getSearchFormValues(), t = e.getPaging()), { data: a, pagination: t };
  },
  set(n, { pagination: a, data: t }) {
    if (o(t)) return;
    const e = n.component?.exposed;
    e && (t && e.setSearchFormValues(t), a && e.setPaging(a));
  }
};
export {
  r as default
};
